curl --request GET \
--url https://softmax.com/api/observatory/v2/leagues/{league_id}/campaign \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/leagues/{league_id}/campaign"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/leagues/{league_id}/campaign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"league_id": "<string>",
"enabled": true,
"config": {},
"players": [
{}
],
"viewer_player_ids": [
"<string>"
],
"map_refs": [
"<string>"
],
"modes": [
"<string>"
],
"map_seeds": [
123
],
"map_sizes": [
"<string>"
],
"champions": [
123
],
"agents": [
123
],
"preview_urls": [
"<string>"
],
"round": 123,
"frames": [
{}
],
"events": [
{}
],
"blob_ids": [
123
],
"pending_round": {},
"color_prefs": {},
"perks": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get campaign board
Return the current campaign board, retained history, and caller-visible player state.
Authorizations
Bearer token issued by Softmax
Path Parameters
League whose campaign board should be returned.
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Response
Successful Response
League whose campaign board is returned.
Whether campaign rounds are enabled.
Public campaign geometry and round settings.
Visible campaign players and board symbols.
Campaign players owned by the caller.
Coworld variant ID for each bounding-grid position.
Match mode for each bounding-grid position.
Generated-map seed for each bounding-grid position.
Generated-map size for each bounding-grid position.
Distinct policy seats for each bounding-grid position.
Total agent seats for each bounding-grid position.
Authored map preview for each bounding-grid position.
Number of completed campaign rounds.
Retained board snapshots ordered by round.
Retained campaign events ordered by time.
Contiguous territory ID for each bounding-grid position.
Visible state for an in-flight campaign round.
Preferred board-palette slot keyed by player ID.
Show child attributes
Show child attributes
Equipped Coworld perk IDs keyed by player ID.
Show child attributes
Show child attributes